<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Onlister
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>

		
			<header class="page-header">
				<?php
					the_archive_title( '<h1 class="page-title">', '</h1>' );
					the_archive_description( '<div class="taxonomy-description">', '</div>' );
				?>
			</header><!-- .page-header -->

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php
					get_template_part( 'template-parts/content' );
				?>

			<?php endwhile; ?>

			<?php the_posts_navigation( array(
				'prev_text' => '<span class="screen-reader-text">' . esc_html__( 'Older posts', 'onlister' ) . '</span>',
				'next_text' => '<span class="screen-reader-text">' . esc_html__( 'Newer posts', 'onlister' ) . '</span>', ) );
			?>

		<?php else : ?>

			<?php get_template_part( 'template-parts/content', 'none' ); ?>

		<?php endif; ?>
 
		</main><!-- #main -->
	</div><!-- #primary -->
	
 
<?php get_sidebar(); ?>
<?php get_footer(); ?>
