<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Onlister
 */

?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer" role="contentinfo">
		<?php if ( is_active_sidebar( 'footer-1' ) || 
		is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) ) : ?>
			<div class="footer-widgets">
				<?php if ( is_active_sidebar( 'footer-1' ) ) : ?>
					<div class="widget-area">
						<?php dynamic_sidebar( 'footer-1' ); ?>
					</div>
				<?php endif; ?>
				<?php if ( is_active_sidebar( 'footer-2' ) ) : ?>
					<div class="widget-area">
						<?php dynamic_sidebar( 'footer-2' ); ?>
					</div>
				<?php endif; ?>
				<?php if ( is_active_sidebar( 'footer-3' ) ) : ?>
					<div class="widget-area">
						<?php dynamic_sidebar( 'footer-3' ); ?>
					</div>
				<?php endif; ?>
			</div>
		<?php endif; ?>
		<div class="site-info">
				<div class="site-title">
				<span class="btot"><a href="#" title="<?php esc_attr_e('Back to Top of Page', 'onlist' ); ?>"> &#8657; </a></span>	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
				</div>
			<?php //site credits ?>
			<div class="site-credits">
				<?php echo esc_html__( 'Theme: by ', 'onlister' ); ?>
				<a href="http://tradesouthwest.com" 
				   title="website designer">TSW</a>
			</div>
		</div>
		
		<?php if ( has_nav_menu( 'footer' ) ) : ?>
			<div class="footer-menus">

					<nav class="footer-navigation" role="navigation">
						<?php wp_nav_menu( array(
							'theme_location' => 'footer',
							'depth'          => 1,
							'menu_id'        => 'footer-menu' ) );
						?>
					</nav><!-- .footer-navigation -->
				 
			</div>
		<?php endif; ?>
	</footer> 
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
