<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 
	'Skip to content', 'onlister' ); ?></a>

	<header id="masthead" class="site-header">
		<?php if ( has_nav_menu( 'secondary' ) 
		|| has_nav_menu( 'social-header' ) ) : ?>
			<div class="secondary-header">
				<div class="wrapper">
					<?php if ( has_nav_menu( 'secondary' ) ) : ?>
						<nav class="secondary-navigation">
							<?php wp_nav_menu( array(
								'theme_location' => 'secondary',
								'depth'          => 1,
								'menu_id'        => 'secondary-menu' ) );
							?>
						</nav>
					<?php endif; ?>
				</div>
			</div>
		<?php endif; ?>
		
		<nav id="site-navigation" class="main-navigation">
				<button class="menu-toggle" aria-controls="primary-menu" 
aria-expanded="false"><?php esc_html_e( 'Menu', 'onlister' ); ?></button>
				<?php wp_nav_menu( array( 
				                'theme_location' => 'primary', 
				                'menu_id'        => 'primary-menu' ) ); ?>
			</nav><!-- #site-navigation -->
		
       <div class="clearfix"></div>
       
        <div class="primary-header">
                    
            <section id="sitehead" class="heading-image">
           
                <div class="site-branding">
                
                <?php if ( function_exists( 'the_custom_logo' ) 
                && has_custom_logo() ) : ?>
			    	<div class="site-logo hiz">
			    		<?php the_custom_logo(); ?>
			    	</div> 
				<?php endif; ?>
                    <div class="site-branding-text">			
			    		<h1 class="site-title"><a href="<?php 
			    		echo esc_url( home_url( '/' ) ); ?>" 
			    		rel="home"><?php bloginfo( 'name' ); ?></a></h1>
					
               <?php $description = get_bloginfo( 'description', 'display' ); ?>
                        <h4 class="site-description"><?php echo 
                        $description; ?></h4>					
	    			</div> 

	    		</div>
	    		<?php //check that plugin is active
	    		    $onlister_chk = onlister_checkfor_onlist_plugin();
	    		    if( $onlister_chk === true ) : ?> 
                    <div id="onlistSBar">
	    			
	    		<?php get_template_part( 'template-parts/onlist', 'search' ); ?>
	    			
	    			</div>
	    			<?php endif; ?>
            </section>

		</div>  
	</header>

	<div id="content" class="site-content">
