<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Onlister
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>

			<?php if ( is_home() && ! is_front_page() ) : ?>
				<header>
					<h1 class="page-title"><span class="screen-reader-text">
					<?php single_post_title(); ?></span>
					<?php single_post_title(); ?></h1>
				</header>
			<?php endif; ?>

			<?php while ( have_posts() ) : the_post(); ?>

				<?php
				if( onlister_is_blog_page() ) : 
				get_template_part( 'template-parts/content', 'excerpt' ); else:  
				get_template_part( 'template-parts/content', get_post_type() ); 
				endif;
				?>

			<?php endwhile; ?>

			<?php the_posts_navigation( array(
				'prev_text' => '<span class="screen-reader-text">' 
				. esc_html__( 'Older posts', 'onlister' ) . '</span>',
				'next_text' => '<span class="screen-reader-text">' 
				. esc_html__( 'Newer posts', 'onlister' ) . '</span>', ) );
			?>

		<?php else : ?>

			<?php get_template_part( 'template-parts/content', 'none' ); ?>

		<?php endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
