<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Onlister
 */

get_header(); ?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'onlister' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
			</header><!-- .page-header -->

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php
				get_template_part( 'template-parts/content' );
				?>

			<?php endwhile; ?>

			
		<?php else : ?>

			<?php get_template_part( 'template-parts/content', 'none' ); ?>
            <div class="clearfix"></div>
        	<h4><?php esc_html_e( 'Locate your search by letter', 'onlister' ); ?></h4>
        	<div class="onlister-search-alpha">	
                <?php 
    
                $onlister = onlister_checkfor_onlist_plugin(); 
                if( $onlister === true ) echo do_shortcode('[onlist-alphabetic]'); 
                ?>
        <?php endif; ?>
            </div>
            
            <?php the_posts_navigation( array(
				'prev_text' => '<span class="screen-reader-text">' . esc_html__( 'Older posts', 'onlister' ) . '</span>',
				'next_text' => '<span class="screen-reader-text">' . esc_html__( 'Newer posts', 'onlister' ) . '</span>', ) );
			?>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
