<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Onlister
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php while ( have_posts() ) : the_post(); ?>

			<?php get_template_part( 'template-parts/content', 'single' ); ?>

            <?php
				$next_post = get_next_post();
				$previous_post = get_previous_post();
				if ( $next_post && ! $previous_post ) {

					the_post_navigation( array(
        				'next_text' => '<span class="post-date">' 
        				. mysql2date( 'F d, Y', $next_post->post_date, false ) 
        				. '</span><span class="post-title">%title</span>',
					) );

				} elseif ( ! $next_post && $previous_post ) {

					the_post_navigation( array(
        				'prev_text' => '<span class="post-date">' 
        				. mysql2date( 'F d, Y', $previous_post->post_date, 
        				false ) . '</span><span class="post-title">%title</span>',
					) );

				} elseif ( $next_post && $previous_post ) {

					the_post_navigation( array(
        				'next_text' => '<span class="post-date">' 
        				. mysql2date( 'F d, Y', $next_post->post_date, false ) 
        				. '</span><span class="post-title">%title</span>',
        				'prev_text' => '<span class="post-date">' 
        				. mysql2date( 'F d, Y', $previous_post->post_date, 
        				false ) . '</span><span class="post-title">%title</span>',
					) );

				}
			?>
			
			
			<?php
				// If comments are open or one comment, load comment template.
				if ( comments_open() || get_comments_number() ) :
					 comments_template();
				endif;
			?>

		<?php endwhile; // End of the loop. ?>

		</main>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
